ApplicationPushBuilder (Apache Tomcat 8.5.89 API Documentation)

Package org.apache.catalina.core

## Class ApplicationPushBuilder

- java.lang.Object
- - org.apache.catalina.core.ApplicationPushBuilder

-     public class ApplicationPushBuilder
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ApplicationPushBuilder​(Request catalinaRequest, HttpServletRequest request)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ApplicationPushBuilder` | `addHeader​(java.lang.String name, java.lang.String value)` |
    `java.lang.String` | `getHeader​(java.lang.String name)` |
    `java.util.Set<java.lang.String>` | `getHeaderNames()` |
    `java.lang.String` | `getMethod()` |
    `java.lang.String` | `getPath()` |
    `java.lang.String` | `getQueryString()` |
    `java.lang.String` | `getSessionId()` |
    `ApplicationPushBuilder` | `method​(java.lang.String method)` |
    `ApplicationPushBuilder` | `path​(java.lang.String path)` |
    `void` | `push()` |
    `ApplicationPushBuilder` | `queryString​(java.lang.String queryString)` |
    `ApplicationPushBuilder` | `removeHeader​(java.lang.String name)` |
    `ApplicationPushBuilder` | `sessionId​(java.lang.String sessionId)` |
    `ApplicationPushBuilder` | `setHeader​(java.lang.String name, java.lang.String value)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ApplicationPushBuilder

          public ApplicationPushBuilder​(Request catalinaRequest,
                                        HttpServletRequest request)

  - ### Method Detail

    - #### path

          public ApplicationPushBuilder path​(java.lang.String path)

    - #### getPath

          public java.lang.String getPath()

    - #### method

          public ApplicationPushBuilder method​(java.lang.String method)

    - #### getMethod

          public java.lang.String getMethod()

    - #### queryString

          public ApplicationPushBuilder queryString​(java.lang.String queryString)

    - #### getQueryString

          public java.lang.String getQueryString()

    - #### sessionId

          public ApplicationPushBuilder sessionId​(java.lang.String sessionId)

    - #### getSessionId

          public java.lang.String getSessionId()

    - #### addHeader

          public ApplicationPushBuilder addHeader​(java.lang.String name,
                                                  java.lang.String value)

    - #### setHeader

          public ApplicationPushBuilder setHeader​(java.lang.String name,
                                                  java.lang.String value)

    - #### removeHeader

          public ApplicationPushBuilder removeHeader​(java.lang.String name)

    - #### getHeaderNames

          public java.util.Set<java.lang.String> getHeaderNames()

    - #### getHeader

          public java.lang.String getHeader​(java.lang.String name)

    - #### push

          public void push()